io.etcd.jetcd.api

## Interface AlarmRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AlarmRequest, AlarmRequest.Builder

    public interface AlarmRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`AlarmRequest.AlarmAction` `getAction()` action is the kind of alarm request to issue.
`int` `getActionValue()` action is the kind of alarm request to issue.
`AlarmType` `getAlarm()` alarm is the type of alarm to consider for this request.
`int` `getAlarmValue()` alarm is the type of alarm to consider for this request.
`long` `getMemberID()` memberID is the ID of the member associated with the alarm.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getActionValue

    int getActionValue()

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Returns:
  The enum numeric value on the wire for action.

#### getAction

    AlarmRequest.AlarmAction getAction()

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Returns:
  The action.

#### getMemberID

    long getMemberID()

     memberID is the ID of the member associated with the alarm. If memberID is 0, the
     alarm request covers all members.

`uint64 memberID = 2;`

Returns:
  The memberID.

#### getAlarmValue

    int getAlarmValue()

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Returns:
  The enum numeric value on the wire for alarm.

#### getAlarm

    AlarmType getAlarm()

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Returns:
  The alarm.